configure: error: Building GCC requires GMP 4.1+ and MPFR 2.

内核编译和嵌入式产品的设计与开发
回复
头像
micro_zhu
帖子: 18
注册时间: 2008-12-22 12:24
送出感谢: 0
接收感谢: 0

configure: error: Building GCC requires GMP 4.1+ and MPFR 2.

#1

帖子 micro_zhu » 2009-01-05 17:10

编译安装GCC4。3。2时遇到这个问题,已经把这2个下载下来了,但是安装这2个程序却又遇到问题,,目前还没解决呢,如果有人解决了清告知并解答下。
.......................I love google.....................
头像
cnkilior
论坛版主
帖子: 4979
注册时间: 2007-08-05 17:40
送出感谢: 0
接收感谢: 5 次

Re: configure: error: Building GCC requires GMP 4.1+ and MPFR 2.

#2

帖子 cnkilior » 2009-01-05 17:15

......

没事编译什么gcc,就算你搞定了这个还会出现其他一些问题。编译过lfs的就很清楚,一般没事都不编gcc的。
头像
micro_zhu
帖子: 18
注册时间: 2008-12-22 12:24
送出感谢: 0
接收感谢: 0

Re: configure: error: Building GCC requires GMP 4.1+ and MPFR 2.

#3

帖子 micro_zhu » 2009-01-05 17:20

cnkilior 写了:......

没事编译什么gcc,就算你搞定了这个还会出现其他一些问题。编译过lfs的就很清楚,一般没事都不编gcc的。

构建交叉编译环境需要自己编译安装ARM-LINUX-GCC的,我的工作是做这个,没的办法。
.......................I love google.....................
linup2011
帖子: 1
注册时间: 2011-12-03 10:25
送出感谢: 0
接收感谢: 0

Re: configure: error: Building GCC requires GMP 4.1+ and MPF

#4

帖子 linup2011 » 2011-12-03 10:27

应该把gmp目录改名为gmp,mpfr目录改名为mpfr,然后放在gcc包里边
回复

回到 “内核及嵌入式开发”